# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "indradb-proto"
version = "4.0.0"
authors = ["Yusuf Simonson <simonson@gmail.com>"]
build = "build.rs"
description = "Protobuf/gRPC interfaces for IndraDB"
homepage = "https://indradb.github.io"
readme = "README.md"
keywords = [
    "graph",
    "database",
]
categories = [
    "database",
    "database-implementations",
]
license = "MPL-2.0"
repository = "https://github.com/indradb/indradb"
resolver = "1"

[lib]
name = "indradb_proto"
path = "src/lib.rs"

[dependencies.glob]
version = "0.3.0"
optional = true

[dependencies.indradb-lib]
version = "4.0.0"

[dependencies.indradb-plugin-host]
version = "0.3.0"
optional = true

[dependencies.libloading]
version = "0.7.4"
optional = true

[dependencies.prost]
version = "0.11.3"

[dependencies.prost-derive]
version = "0.11.2"

[dependencies.prost-types]
version = "0.11.2"

[dependencies.serde_json]
version = "^1.0.57"

[dependencies.tokio]
version = "^1.24.2"
features = ["rt-multi-thread"]
optional = true

[dependencies.tokio-stream]
version = "0.1.11"
features = ["net"]
optional = true

[dependencies.tonic]
version = "0.8.3"

[dependencies.uuid]
version = "^1.2.2"

[build-dependencies.tonic-build]
version = "0.8.0"

[features]
client = [
    "tokio",
    "tokio-stream",
]
default = ["client"]
server = [
    "tokio",
    "tokio-stream",
    "libloading",
    "indradb-plugin-host",
    "glob",
]
test-suite = [
    "indradb-lib/test-suite",
    "client",
    "server",
]
